<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>Tag (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tags/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tags/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tags/tag.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tags\Tag</div>
<a href="../../source/classes/tag.php.html#line28" class="location">classes/tag.php at line 28</a>

<h1>Class Tag</h1>

<pre class="tree"><strong>Tag</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>Tag</strong></p>

<div class="comment" id="overview_description"><p>Represents a documentation tag, e.g. @since, @author, @version. Given a tag
(e.g. "@since 1.2"), holds tag name (e.g. "@since") and tag text (e.g.
"1.2"). Tags with structure or which require special processing are handled
by subclasses.</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(str name, str text, <a href="../../phpdoctor/rootdoc.html">RootDoc</a> root)</p><p class="description">Constructor</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#displayEmpty()">displayEmpty</a>()</p><p class="description">Return true if this Taglet should be outputted even if it has no text content.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#displayName()">displayName</a>()</p><p class="description">Get display name of this tag.</p></td>
</tr>
<tr>
<td class="type"> <a href="../../phpdoctor/tags/tag.html">Tag[]</a></td>
<td class="description"><p class="name"><a href="#firstSentenceTags()">firstSentenceTags</a>(mixed formatter)</p><p class="description">Return the first sentence of the comment as tags. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#inConstructor()">inConstructor</a>()</p><p class="description">Return true if this Taglet is used in constructor documentation.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#inField()">inField</a>()</p><p class="description">Return true if this Taglet is used in field documentation.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#inMethod()">inMethod</a>()</p><p class="description">Return true if this Taglet is used in method documentation.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#inOverview()">inOverview</a>()</p><p class="description">Return true if this Taglet is used in overview documentation.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#inPackage()">inPackage</a>()</p><p class="description">Return true if this Taglet is used in package documentation.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#inType()">inType</a>()</p><p class="description">Return true if this Taglet is used in class or interface documentation.</p></td>
</tr>
<tr>
<td class="type"> <a href="../../phpdoctor/tags/tag.html">Tag[]</a></td>
<td class="description"><p class="name"><a href="#inlineTags()">inlineTags</a>(mixed formatter)</p><p class="description">For documentation comment with embedded @link tags, return the array of
tags. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isInlineTag()">isInlineTag</a>()</p><p class="description">Return true if this Taglet is an inline tag.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#name()">name</a>()</p><p class="description">Get name of this tag.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#setParent()">setParent</a>(<a href="../../phpdoctor/programelementdoc.html">ProgramElementDoc</a> element)</p><p class="description">Set this tags parent</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#text()">text</a>(<a href="../../phpdoctor/doclets/doclet.html">Doclet</a> doclet)</p><p class="description">Get the value of the tag as raw data, without any text processing applied.</p></td>
</tr>
</table>

<h2 id="detail_method">Method Detail</h2>
<a href="../../source/classes/tag.php.html#line62" class="location">classes/tag.php at line 62</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(str name, str text, <a href="../../phpdoctor/rootdoc.html">RootDoc</a> root)</code>
<div class="details">
<p>Constructor</p><dl>
<dt>Parameters:</dt>
<dd>name - The name of the tag (including @)</dd>
<dd>text - The contents of the tag</dd>
<dd>root - The root object</dd>
</dl>
</div>

<hr>

<a href="../../source/classes/tag.php.html#line273" class="location">classes/tag.php at line 273</a>

<h3 id="displayEmpty()">displayEmpty</h3>
<code class="signature">public  bool <strong>displayEmpty</strong>()</code>
<div class="details">
<p>Return true if this Taglet should be outputted even if it has no text content.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line82" class="location">classes/tag.php at line 82</a>

<h3 id="displayName()">displayName</h3>
<code class="signature">public  str <strong>displayName</strong>()</code>
<div class="details">
<p>Get display name of this tag.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line142" class="location">classes/tag.php at line 142</a>

<h3 id="firstSentenceTags()">firstSentenceTags</h3>
<code class="signature">public  <a href="../../phpdoctor/tags/tag.html">Tag[]</a> <strong>firstSentenceTags</strong>(mixed formatter)</code>
<div class="details">
<p>Return the first sentence of the comment as tags. Includes inline tags
(i.e. <code>reference</code> tags) but not regular tags. Each section of plain
text is represented as a Tag of kind "Text". Inline tags are represented
as a SeeTag of kind "link". The sentence ends at the first period that is
followed by a space, tab, or a line terminator, at the first tagline, or
at closing of a HTML block element (<p> <h1> <h2> <h3> <h4> <h5> <h6> <hr>
<pre>).</p><p>If PEAR compatibility mode is on, the first double line break also ends
the first sentence. PEAR documentation advocates ommiting the period from
the first sentence.</p><dl>
<dt>Returns:</dt>
<dd>An array of Tags representing the first sentence of the comment</dd>
<dt>Todo:</dt>
<dd>This method does not act as described but should be altered to do so</dd>
</dl>
</div>

<hr>

<a href="../../source/classes/tag.php.html#line210" class="location">classes/tag.php at line 210</a>

<h3 id="inConstructor()">inConstructor</h3>
<code class="signature">public  bool <strong>inConstructor</strong>()</code>
<div class="details">
<p>Return true if this Taglet is used in constructor documentation.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line219" class="location">classes/tag.php at line 219</a>

<h3 id="inField()">inField</h3>
<code class="signature">public  bool <strong>inField</strong>()</code>
<div class="details">
<p>Return true if this Taglet is used in field documentation.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line228" class="location">classes/tag.php at line 228</a>

<h3 id="inMethod()">inMethod</h3>
<code class="signature">public  bool <strong>inMethod</strong>()</code>
<div class="details">
<p>Return true if this Taglet is used in method documentation.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line237" class="location">classes/tag.php at line 237</a>

<h3 id="inOverview()">inOverview</h3>
<code class="signature">public  bool <strong>inOverview</strong>()</code>
<div class="details">
<p>Return true if this Taglet is used in overview documentation.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line246" class="location">classes/tag.php at line 246</a>

<h3 id="inPackage()">inPackage</h3>
<code class="signature">public  bool <strong>inPackage</strong>()</code>
<div class="details">
<p>Return true if this Taglet is used in package documentation.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line255" class="location">classes/tag.php at line 255</a>

<h3 id="inType()">inType</h3>
<code class="signature">public  bool <strong>inType</strong>()</code>
<div class="details">
<p>Return true if this Taglet is used in class or interface documentation.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line120" class="location">classes/tag.php at line 120</a>

<h3 id="inlineTags()">inlineTags</h3>
<code class="signature">public  <a href="../../phpdoctor/tags/tag.html">Tag[]</a> <strong>inlineTags</strong>(mixed formatter)</code>
<div class="details">
<p>For documentation comment with embedded @link tags, return the array of
tags. Within a comment string "This is an example of inline tags for a
documentaion comment <code><a href="../../phpdoctor/doc.html">commentlabel</a></code>", where inside the inner
braces, the first "Doc" carries exactly the same syntax as a SeeTag and
the second "commentlabel" is label for the HTML link, will return an array
of tags with first element as tag with comment text "This is an example of
inline tags for a documentation comment" and second element as SeeTag with
referenced class as "Doc" and the label for the HTML link as
"commentlabel".</p><dl>
<dt>Returns:</dt>
<dd>Array of tags with inline tags.</dd>
<dt>Todo:</dt>
<dd>This method does not act as described but should be altered to do so</dd>
</dl>
</div>

<hr>

<a href="../../source/classes/tag.php.html#line264" class="location">classes/tag.php at line 264</a>

<h3 id="isInlineTag()">isInlineTag</h3>
<code class="signature">public  bool <strong>isInlineTag</strong>()</code>
<div class="details">
<p>Return true if this Taglet is an inline tag.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line73" class="location">classes/tag.php at line 73</a>

<h3 id="name()">name</h3>
<code class="signature">public  str <strong>name</strong>()</code>
<div class="details">
<p>Get name of this tag.</p></div>

<hr>

<a href="../../source/classes/tag.php.html#line101" class="location">classes/tag.php at line 101</a>

<h3 id="setParent()">setParent</h3>
<code class="signature">public  void <strong>setParent</strong>(<a href="../../phpdoctor/programelementdoc.html">ProgramElementDoc</a> element)</code>
<div class="details">
<p>Set this tags parent</p><dl>
<dt>Parameters:</dt>
<dd>element - The parent element</dd>
</dl>
</div>

<hr>

<a href="../../source/classes/tag.php.html#line92" class="location">classes/tag.php at line 92</a>

<h3 id="text()">text</h3>
<code class="signature">public  str <strong>text</strong>(<a href="../../phpdoctor/doclets/doclet.html">Doclet</a> doclet)</code>
<div class="details">
<p>Get the value of the tag as raw data, without any text processing applied.</p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tags/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tags/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tags/tag.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>